Workspace Direct Group Member
Represents a principal that is a direct member of a group, with its source of membership.
DirectGroupMember object
Represents a principal that is a direct member of a group, with its source of membership.
- principal_idint64BetaImmutable
Internal ID of the principal in <Databricks>.
- principal_typestringBetaOutput only
The type of the principal (user/service principal/group).
- membership_sourcestringBetaOutput only
The source of group membership (internal or from identity provider).
- display_namestringBetaOutput only
Display name of the principal.
- external_idstringBetaOutput only
The external ID of the principal in <Databricks>.
- group_idint64BetaOutput only
The internal ID of the group this member belongs to.
Get Beta
GET
Gets a provisioned direct member of a group.
API scopes: identity
Parameters
- group_idint64Requiredpath
Required. Internal ID of the group in <Databricks>.
- principal_idint64Requiredpath
Required. Internal ID of the principal belonging to the group in <Databricks>.
Response
Returns the DirectGroupMember object.
List Beta
GET
Lists provisioned direct members of a group with their membership source (internal or from identity provider).
API scopes: identity
Parameters
- group_idint64Requiredpath
Required. Internal ID of the group in <Databricks> whose direct members are being listed.
- page_sizeint32query
The maximum number of members to return. The service may return fewer than this value. If not provided, defaults to 1000, which is also the maximum allowed. Requests for more than the maximum are clamped to 1000.
- page_tokenstringquery
A page token from a previous list call. Provide this to retrieve the subsequent page.
Response
Returns a list of DirectGroupMember objects.
Create Beta
POST
Creates a group membership (assigns a principal to a group).
API scopes: identity
Parameters
- group_idint64Requiredpath
Required. Internal ID of the group in <Databricks>.
Request body
- direct_group_memberobjectRequired
Required. The group membership to create.
Show child attributesHide child attributes
- principal_idint64RequiredImmutable
Internal ID of the principal in <Databricks>.
Response
Returns the DirectGroupMember object.
Delete Beta
DELETE
Deletes a group membership (unassigns a principal from a group).
API scopes: identity
Parameters
- group_idint64Requiredpath
Required. Internal ID of the group in <Databricks>.
- principal_idint64Requiredpath
Required. Internal ID of the principal to be unassigned from the group.